      program test
          interface
              subroutine foo(x)
                  integer :: x(:,:)
              end subroutine foo
          end interface
          integer a(5, 5)
 
          call foo(a)
      end
 
      subroutine foo(x)
          integer :: x(:,:), y(6, 6)
          y = 1
          x = y - 1
      end subroutine
